{=====================================================================}
{                                                                     }
{ Sample program for TTranPrn Component. using tprncom1.zip           }
{ http://www.kobira.co.jp/sakura/windows.htm                          }
{ author Seiji-Yasuda seiji@kobira.co.jp                              }
{                                                                     }
{ You may use it freely at your own risk in any kind of environment.  }
{                                                                     }
{ Note:                                                               }
{  ver 1.0.0 2/Dec./'96 Unit.                                         }
{  ver 1.0.1 8/Jan./'97 componet.                                     }
{  ver 1.0.2 11/Mar./'97 support Events.                              }
{  ver 1.0.3 16/Jun./'97 support DefaultMessage Property.             }
{                                                                     }
{=====================================================================}
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Tranprn, TPrnCom, RegCBox, Buttons, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    PrnComboBox1: TPrnComboBox;
    TranPrn1: TTranPrn;
    Label1: TLabel;
    Label2: TLabel;
    OpenDialog1: TOpenDialog;
    Label3: TLabel;
    Label4: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Panel1: TPanel;
    Edit1: TEdit;
    OpenFileButton: TButton;
    ProgressBar1: TProgressBar;
    procedure OpenFileButtonClick(Sender: TObject);
    procedure TranPrn1AfterPrint(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure TranPrn1AfterReadByte(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.OpenFileButtonClick(Sender: TObject);
begin
  OpenDialog1.FileName := Edit1.Text;
  if OpenDialog1.Execute then
    Edit1.Text := OpenDialog1.FileName;
end;

procedure TForm1.TranPrn1AfterPrint(Sender: TObject);
begin
  ShowMessage('Success !');
end;

function SizeOfFile(const FileName: String): Integer;
var
  f: file of Byte;
begin
  AssignFile(f, FileName);
  Reset(f);
  result := FileSize(f);
  CloseFile(f);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
  cur:TCursor;
begin
  cur := screen.cursor;
  screen.cursor := crHourGlass;
  try
    ProgressBar1.Max := SizeOfFile(Edit1.Text);
    TranPrn1.FileName := Edit1.Text;
    TranPrn1.PrinterName := PrnComboBox1.Text;
    TranPrn1.Print;
  finally
    ProgressBar1.Position := 0;
    screen.cursor := cur;
  end;
end;

procedure TForm1.TranPrn1AfterReadByte(Sender: TObject);
begin
  ProgressBar1.Position := ProgressBar1.Position + 1;
end;

end.
